=== debian/changelog ===
pass-update (2.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 27 Feb 2024 11:19:30 -0500

pass-update (2.1-1) experimental; urgency=medium

  * Initial release (Closes: #1063912)

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 14 Feb 2024 14:21:40 -0500
