=== debian/control ===
Source: pass-update
Section: admin
Priority: optional
Maintainer: Alexandre Pujol <alexandre@pujol.io>
Uploaders: Antoine Beaupré <anarcat@debian.org>
Build-Depends:
  debhelper-compat (= 12),
Standards-Version: 4.6.0.1
Homepage: https://github.com/roddhjav/pass-update
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/pass-extension-update.git
Vcs-Browser: https://salsa.debian.org/debian/pass-extension-update

Package: pass-extension-update
Architecture: all
Depends:
  ${misc:Depends},
  pass (>= 1.7.0),
Description: pass extension providing an easy flow for updating passwords
 Extends the pass utility with an update command providing an easy flow for
 updating passwords. It supports path, directory and wildcard update.
 Moreover, you can select how to update your passwords by automatically
 generating new passwords or manually setting your own.
